Application: gvSIG desktop - gvSIG bugs #1187
On the fly reprojection doesn't work with GML layers
10/01/2012 02:13 PM - Maria Maluenda

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Juan Lucas Dominguez

Category: Document view

Target version: 2.0.0-rc1

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: 2053 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

1.- Open gvSIG

2.- Add new View (EPSG 4326)
3.- Add new layer http://downloads.gvsig.org/download/geodata/vector/GML/Catalunya Comarques IDEC GML.zip
4.- Select properties and apply EPSG 23031, click in transformation.

5.- You can check that the Comarques.gml is not reproject well to EPSG 4326
'In gvSIG 1.11 it works fine'

1.- Abrir gvSIG

2.- Ahadir una nueva Vista (EPSG 4326)

3.- Anadir capa http://downloads.gvsig.org/download/geodata/vector/GML/Catalunya_Comarques IDEC GML.zip
4.- Seleccionar las propiedades y aplicar EPSG 23031, seleccionar transformacion

5.- Se puede observar que Comrques.gml no se repoyecta bien a EPSG 4326

'En gvSIG 1.11 funciona bien’

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 1188: On the fly reproje... Closed 10/01/2012

History

#1 - 10/02/2012 02:05 PM - Manuel Madrid
- Subject changed from Reproject vector layers .gml not works ok to On the fly reprojection doesn't work with GML layers
- Target version set to 2.0.0-rc1

The layer is not placed correctly (easily checkable if there is a background layer in the view projection) and the coordinates keep in meters.

#2 - 10/22/2012 10:08 AM - Manuel Madrid

- Priority changed from Normal to Urgent

#3 - 10/24/2012 11:36 AM - Juan Lucas Dominguez
- Assignee set to Juan Lucas Dominguez

#4 - 10/25/2012 12:13 PM - Juan Lucas Dominguez
- Status changed from New to Fixed
http://downloads.gvsig.org/download/geodata/vector/GML/Catalunya_Comarques_IDEC_GML.zip
http://downloads.gvsig.org/download/geodata/vector/GML/Catalunya_Comarques_IDEC_GML.zip

This is actually the same bug as #1188 so it's already fixed in gvsig-desktop:r39093

Test:

the steps described should now work.

#5 - 11/09/2012 11:05 AM - Maria Maluenda
- Status changed from Fixed to Closed

Closed in the gvSIG build 2057
